Package: groovy.util

## [Java] Class NodeBuilder

- groovy.util.NodeBuilder

-     public class NodeBuilder
      extends BuilderSupport

  A helper class for creating nested trees of Node objects for handling arbitrary data

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Object` | `createNode(Object name)`
    `` | `protected Object` | `createNode(Object name, Object value)`
    `` | `protected Object` | `createNode(Object name, Map attributes)`
    `` | `protected Object` | `createNode(Object name, Map attributes, Object value)`
    `` | `protected Node` | `getCurrentNode()`
    `` | `public static NodeBuilder` | `newInstance()`
    `` | `protected void` | `setParent(Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BuilderSupport` | `createNode, createNode, createNode, createNode, doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent, setParent`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Method Detail

    - #### @Override
      protected Object createNode(Object name)

    - #### @Override
      protected Object createNode(Object name, Object value)

    - #### @Override
      protected Object createNode(Object name, Map attributes)

    - #### @Override
      protected Object createNode(Object name, Map attributes, Object value)

    - #### protected Node getCurrentNode()

    - #### public static NodeBuilder newInstance()

    - #### @Override
      protected void setParent(Object parent, Object child)